Subject: Power management on ar71xx

From: Harsha Chenji <[email-masked]>
Date: Wed, 21 Dec 2011 17:25:17 -0600

Hello list,

I was trying to get some power savings working on my AR7161 chipset
using OpenWRT, but I was unsuccessful.

Since mips24kc supports the wait instruction, shouldn't sleeping be
supported too? Is anyone working on this platform currently?

Thanks,
Harsha

---

From: Ralf Baechle <[email-masked]>
Date: Thu, 22 Dec 2011 12:47:01 +0000

> supported too? Is anyone working on this platform currently?

The two things are pretty much unrelated.  The WAIT instruction is used
by the architecture specific code when there is no process available
that could use the CPU.  The power managment code deals with all other
aspects of power saving.  The two don't even know about each other.

  Ralf